XFERFAXSTATS(8C)

NAME
xferfaxstats - summarize HylaFAX transmission accounting

SYNOPSIS
/usr/local/sbin/xferfaxstats [ options ] [ files ]

DESCRIPTION
xferfaxstats is a command script that prints a summary of the HylaFAX accounting statistics for transmitted jobs. The statistics can be sorted using one of several keys: the sender's account name (default), the job tag (useful when used for accounting purposes), the remote party's CSI, the called phone number, the output device used for the call, the communication speed, and the communication data format. Statistics are read from the file /var/spool/hylafax/etc/xferfaxlog in the spooling area, unless filenames are specified on the command line.

The following table is an example of the output from xferfaxstats (using the default sort key):

Destination	Pages	Time	Pg/min	Errs	TypRate	TypData
cadsmith@esd.sgi.com	34	24:05	1.4	0	9600	1-D MR
ctb@corp.sgi.com	32	20:43	1.5	2	9600	2-D MR
edmark@esd.sgi.com	42	29:30	1.4	3	9600	1-D MR
fredc@mfg.sgi.com	157	1:37:52	1.6	0	9600	2-D MR
jlw@engr.sgi.com	81	57:29	1.4	1	9600	1-D MR
jlw@wpd.sgi.com	346	3:57:57	1.5	100	9600	1-D MR
karlton@asd.sgi.com	68	36:57	1.8	0	9600	1-D MR
kerrie@mfg.sgi.com	48	32:29	1.5	1	9600	2-D MR
kgraf@mfg.sgi.com	128	1:48:21	1.2	2	9600	1-D MR
kubey@wpd.sgi.com	264	3:22:13	1.3	6	9600	1-D MR
loki@wpd.sgi.com	205	2:56:45	1.2	5	9600	2-D MR
moondog@esd.sgi.com	112	1:23:01	1.3	4	9600	2-D MR
mpolen@mti.sgi.com	122	1:39:32	1.2	1	9600	1-D MR
nancyf@mfg.sgi.com	174	2:08:44	1.4	2	9600	2-D MR
paulh@mfg.sgi.com	56	1:29:24	0.6	0	9600	2-D MR
richardn@mfg.sgi.com	34	24:42	1.4	1	9600	1-D MR
rosa@corp.sgi.com	32	28:00	1.1	2	9600	1-D MR
sam@asd.sgi.com	65	46:25	1.4	5	9600	1-D MR
seth@asd.sgi.com	34	25:04	1.4	0	9600	1-D MR
--------------------------------------------------------------------------
Total	2034	25:49:13	1.3	135

The first column column shows the sort key value used (the sender's identity here, but otherwise the destination phone number, remote CSI, etc.). The Pages column is the total number of good pages transmitted. The time column shows the total amount of time spent transmitting. The Pg/min column displays the average transfer rate. The Errs column indicates how many errors were encountered while transmitting facsimile. (Note that this statistic does not include problems encountered while placing a call; e.g. busy signals.) The TypRate column displays the most common communication speed with which facsimile were transmitted. The TypData column shows the most common data format in which facsimile data were transmitted.

By default, account names other than ``root'' and ``guest'' are automatically mapped to a canonical format in which the host name is removed and identical addresses in the same domain are merged together. For example, ``sam@flake.asd.sgi.com'' and ``sam@foobar.asd.sgi.com'' are both mapped to ``sam@asd.sgi.com'' with the associated statistics accumulated. Identical account names in different domains generate a warning; e.g. ``loki@wpd.sgi.com'' and ``loki@corp.sgi.com''. If the -nomap option is specified, then the above mapping is not done and account names are not altered.

OPTIONS

-csi*
    Sort output by the remote party's CSI.

-dest*
    Sort output by the phone number called.

-dev*
    Sort output by the output device (i.e. modem) used.

-format
    Sort output by the negotiated data format.

-job*
    Sort output by client-specified job tag identifiers.

-nomap
    Supress the normal account name mapping by which statistics for the ``root'' and ``guest'' acounts are merged and leading hostname part of domain names are stripped.

-send*
    Sort output by sender's account name (default).

-since time
    Show information only for the facsimile transmitted since the specified time; where time is of the form ``MM/DD/YY HH:MM'' (the date(1) format string %D %H:%M).

-speed
    Sort output by the signalling rate.

DIAGNOSTICS

``Warning, address clash, "%s" and "%s".'' During address mapping two mapped addresses were found for the same account name.

``Warning, weird user address/name "%s".'' During address mapping an address was encountered that multiple ``@'' symbols in it.

NOTES
The sender field does not necessarily represent the submitter's actual identity. For example, it reflects the value given by the sendfax(8C) ``-f'' option. Be cautious that this field is not utilized for auditing if the fax user base is not trusted.

FILES
/var/spool/hylafax	spooling area
etc/xferfaxlog	default file from which to read statistics

SEE ALSO
faxq(8C), faxsend(8C), recvstats(8C), hylafax-log(5F)